{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Story 6 Andre</title>
<link rel="stylesheet" type="text/css" href="{% static 'Story_6/style.css' %}" />
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
{% endblock meta %}

{% block content %}
<h1 class = "text-center out montserrat-judul">Andre's activity</h1>
<div class = "flex-row center lebar-max inner-in flex-wrap" >
    {% if list_kegiatan %}
        {% for kegiatan in list_kegiatan %}
            <div class = "orange out activity" style = "width: 500px;">
                <div class = "flex-column center out inner-in white inner-lengkung activity-main">
                    <div class = "flex-row out">
                        <div class = "montserrat-deskripsi inner-out" style = "width: 50%">
                            Nama kegiatan
                        </div>
                        <div class = "montserrat-deskripsi inner-out" style = "width: 50%">
                            {{ kegiatan.nama_kegiatan }}
                        </div>
                    </div>
                    <div class = "flex-row out">
                        <div class = "montserrat-deskripsi inner-out" style = "width: 50%">
                            Tanggal
                        </div>
                        <div class = "montserrat-deskripsi inner-out" style = "width: 50%">
                            {{ kegiatan.tanggal_kegiatan }}
                        </div>
                    </div>
                    <div class = "flex-row out">
                        <div class = "montserrat-deskripsi inner-out" style = "width: 50%">
                            Detail kegiatan
                        </div>
                        <div class = "montserrat-deskripsi inner-out" style = "width: 50%">
                            {{ kegiatan.detail_kegiatan }}
                        </div>
                    </div>
                </div>
                <div class = "flex-column center out inner-in white inner-lengkung" style = "height: 55%">
                    <div class = "flex-column sisi out">
                        <div class = "montserrat-deskripsi">
                            Peserta
                            <div class = "peserta">
                                {% for peserta in kegiatan.peserta_kegiatan %}
                                    <li class = "out">{{ peserta.nama_peserta }}</li>
                                {% endfor %}
                            </div>
                        </div>
                        <div class = "flex-row center">
                            <a href="{% url 'Story_6:Story_6-form_tambah_peserta' kegiatan.id %}">
                                <button type="button" class="btn btn-outline-primary montserrat-deskripsi">Tambah Peserta</button>
                            </a>
                        </div>
                    </div>
                </div>
            </div>     
        {% endfor %}
    {% endif %}
</div>
<form class = "flex-column center vertical-center out" action="tambah-kegiatan" method="POST">
    <h1 class = "text-center out montserrat-judul">Daftar kegiatan baru</h1>
    {% csrf_token %}
    <div class = "flex-column lebar-half form-group montserrat-deskripsi">
        <p>Nama kegiatan</p>
        {{ input_kegiatan.nama_kegiatan }}
    </div>
    <div class = "flex-column lebar-half form-group montserrat-deskripsi">
        <p>Tanggal kegiatan (mm/dd/YYYY HH:MM)</p>
        {{ input_kegiatan.tanggal_kegiatan }}
    </div>
    <div class = "flex-column lebar-half form-group montserrat-deskripsi">
        <p>Detail kegiatan</p>
        {{ input_kegiatan.detail_kegiatan }}
    </div>
    <div class = "flex-column lebar-half form-group out">
        <button type="submit" value = "Submit" class="btn btn-primary montserrat-deskripsi">Submit</button>
    </div>
</form>
    
{% endblock content %}